<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security" xmlns="http://www.w3.org/1999/html"
      layout:decorate="~{layout5}">
<head>
  <meta charset="UTF-8">
  <title>Attendance Event Reports</title>
</head>
<body>
<main layout:fragment="main" class="container">
  <!--    <div th:include="sidebar/sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>-->
  <div class="row">
    <div class="col-md-12">
      <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
        <span>Time Off Monitoring</span>
      </div>
    </div>
  </div>

  <form method="get">
    <div class="row">
      <div class="col-md-4">
        <div class="mb-3 row">
          <label for="tanggal" class="col-sm-4 col-form-label">Tanggal</label>
          <div class="col-sm-8">
            <input type="date" class="form-control" id="tanggal" name="tanggal" th:value="${tanggal}">
          </div>
        </div>
      </div>
      <div class="col-md-1">
        <button type="submit" class="btn btn-primary">Cari</button>
      </div>
    </div>
  </form>


  <div class="row">
    <div class="col-md-12">
      <table class="table table-hover table-striped">
        <thead class="table-dark bg-danger border-white" style="--bs-table-bg:bg-success;">
        <tr>
          <th colspan="5" class="text-center">Time Off today</th>
        </tr>
        <tr>
          <th>#</th>
          <th>Date</th>
          <th>Employee</th>
          <th>Desc</th>
          <th>Status</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="dataTimeOff,row : ${listTimeOff}">
          <td th:text="${(row.index + 1)}">1.</td>
          <td th:text="${#temporals.format(dataTimeOff.getTanggal(),'dd-MMM-yyyy')}"></td>
          <td th:text="${dataTimeOff.getNama()}"></td>
          <td th:text="${dataTimeOff.getTimeOff()}"></td>
          <td th:text="${dataTimeOff.getStatus()}"></td>
        </tr>
        </tbody>
      </table>
    </div>
  </div>
</main>
</body>
</html>